# $Revision: 1.18 $, $Date: 2003/05/20 05:00:54 $
Summary:	SGML document type definition for DocBook 3.0
Summary(es):	OASIS DTD DocBook Group para documentacin tcnica
Summary(pl):	DTD dla dokumentw DocBook 3.0
Summary(pt_BR):	DTD DocBook Davenport Group para documentao tcnica
Summary(ru):	SGML DTD      DocBook 3.0
Summary(uk):	SGML DTD  Φϧ æ  Ԧ DocBook 3.0
Name:		docbook-dtd30-sgml
Version:	1.0
Release:	17
License:	distributable
Group:		Applications/Text
Source0:	http://www.oasis-open.org/docbook/sgml/3.0/docbk30.zip
Source1:	%{name}-Makefile
Patch0:		%{name}-catalog.patch
URL:		http://www.oasis-open.org/docbook/
BuildRequires:	unzip
Requires(post,postun):	sgml-common >= 0.5
Requires:	sgml-common >= 0.5
Provides:	docbook-dtd-sgml
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages). This
syntax is SGML-compliant and is developed by the OASIS consortium.
This is the version 3.0 of this DTD.

%description -l es
OASIS DTD DocBook para documentacin tcnica.

%description -l pl
DocBook DTD jest zestawem definicji dokumentw przeznaczonych do
tworzenia dokumentacji programistycznej. Ten pakiet zawiera wersj 3.0
DTD.

%description -l pt_BR
DTD DocBook Davenport Group para documentao tcnica.

%description -l ru
DocBook -  SGML DTD (document type definition)  
      (, ,
man-)    SGML-, 
   OASIS.   3.0  DTD.

%description -l uk
DocBook -  SGML DTD (document type definition),  դ 
Ǧ   Φϧ æ (Ԧ, , man-Ҧ).
   SGML-ͦ,    æͦ OASIS. 
Ӧ 3.0  DTD.

%prep
%setup -q -c
chmod -R a+rX,g-w,o-w .
cp %{SOURCE1} Makefile
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- docbook-dtd30-sgml < 1.0-15
if ! grep -q /etc/sgml/sgml-docbook-3.0.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-3.0.cat /usr/share/sgml/docbook/sgml-dtd-3.0/catalog > /dev/null
fi

%post
if ! grep -q /etc/sgml/sgml-docbook-3.0.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-3.0.cat /usr/share/sgml/docbook/sgml-dtd-3.0/catalog > /dev/null
fi

%postun
if [ "$1" = "0" ] ; then
	/usr/bin/install-catalog --remove /etc/sgml/sgml-docbook-3.0.cat /usr/share/sgml/docbook/sgml-dtd-3.0/catalog > /dev/null
fi

%files
%defattr(644,root,root,755)
%doc *.txt
%{_datadir}/sgml/docbook/sgml-dtd-3.0

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: docbook-dtd30-sgml.spec,v $
Revision 1.18  2003/05/20 05:00:54  kloczek
- release 17: merge translations from KSI and Conectiva.

Revision 1.17  2003/02/11 22:41:51  qboosh
- cosmetics or minor fixes where necessary

Revision 1.16  2002/09/04 10:36:13  wiget
- drop sgml-iso-ent-fix
- release 16

Revision 1.15  2002/09/04 08:54:28  qboosh
- simplified prep

Revision 1.14  2002/09/03 16:27:05  wiget
- release 15
- filter all files with sgml-iso-ent-fix to fix SMGL ISO entities PublicId (like in sgml-common)
- register in centralized SGML catalog only if not already registered
- unregister only if uninstalled (not if upgraded)
- added %%trigger to fix old brain-dead %%postun

Revision 1.13  2002/08/14 06:18:04  marcus
- fixed openjade path
- use new %%doc
- rel.14.

Revision 1.12  2002/04/25 16:12:44  arturs
fixed a small typo

Revision 1.11  2002/04/06 18:20:34  misiek
- openjade 1.4

Revision 1.10  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/01 00:01:51  ankry
- added Group(fr)

Revision 1.7  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.5  2001/07/16 00:08:15  qboosh
- fixed %%clean
- pl translations
- release 13

Revision 1.4  2001/06/15 20:55:01  kloczek
- release 12.

Revision 1.3  2001/06/15 15:53:22  baggins
- fixed patching in %%build

Revision 1.2  2001/04/18 04:44:11  kloczek
- completly rewrited in PLD style (release 11).

Based on RH spec.
